> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View a User Regulatory Status

### Path parameters

<ParamField path="UserId" type="string" required>
  The unique identifier of the user.
</ParamField>

### Responses

<AccordionGroup>
  <Accordion title="200" defaultOpen>
    <ResponseField name="ActionCode" type="string">
      **Returned values:** One of the action codes available in the [Blocked users](/guides/users/blocked-users) article.

      Code indicating the reason for blocking the user, and steps you can take to get them unblocked.
    </ResponseField>

    <ResponseField name="ScopeBlocked" type="object">
      Information about which payment flows are blocked for the user.

      <Expandable title="properties" defaultOpen>
        <ResponseField name="Inflows" type="boolean">
          Whether or not the user is blocked from making pay-ins or sending or receiving transfers.
        </ResponseField>

        <ResponseField name="Outflows" type="boolean">
          Whether or not the user is blocked from making payouts or sending or receiving transfers.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="Id" type="string">
      The unique identifier of the user.
    </ResponseField>
  </Accordion>
</AccordionGroup>

<ResponseExample>
  ```json Outflows blocked theme={null}
  {
      "Id": "user_m_01KGJ26D0SFX7G5XC5EV13Y5MB",
      "ActionCode": "008710",
      "ScopeBlocked": {
          "Inflows": false,
          "Outflows": true
      }
  }
  ```

  ```json Both scopes blocked theme={null}
  {
      "Id": "user_m_01KGJ26D0SFX7G5XC5EV13Y5MB",
      "ActionCode": "008703",
      "ScopeBlocked": {
          "Inflows": true,
          "Outflows": true
      }
  }
  ```

  ```json No blocks applied theme={null}
  {
      "Id": "user_m_01KGJ26D0SFX7G5XC5EV13Y5MB",
      "ActionCode": "",
      "ScopeBlocked": {
          "Inflows": false,
          "Outflows": false
      }
  }
  ```
</ResponseExample>

<RequestExample>
  ```javascript NodeJS   theme={null}
  const mangopayInstance = require('mangopay4-nodejs-sdk')
  const mangopay = new mangopayInstance({
    clientId: 'your-client-id',
    clientApiKey: 'your-api-key',
  })

  let user = {
    Id: '146476890',
  }

  const getRegulatoryStatus = async (userId) => {
    return await mangopay.Users.getRegulatory(userId)
      .then((response) => {
        console.info(response)
        return response
      })
      .catch((err) => {
        console.log(err)
        return false
      })
  }

  getRegulatoryStatus(user.Id)  
  ```

  ```java Java   theme={null}
  import com.google.gson.Gson;
  import com.google.gson.GsonBuilder;
  import com.mangopay.MangoPayApi;
  import com.mangopay.entities.UserBlockStatus;

  public class ViewUserRegulatory {
      public static void main(String[] args) throws Exception {
          MangoPayApi mangopay = new MangoPayApi();
          mangopay.getConfig().setClientId("your-client-id");
          mangopay.getConfig().setClientPassword("your-api-key");
          
          var userId = "user_m_01HRS7PQEGE4YGCM1AZK1ENTGE";
          UserBlockStatus viewRegulatoryStatus = mangopay.getUserApi().getRegulatory(userId);

          Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
          String prettyJson = prettyPrint.toJson(viewRegulatoryStatus);

          System.out.println(prettyJson);
      }
  }
  ```

  ```python Python   theme={null}
  import mangopay

  mangopay.client_id='your-client-id'
  mangopay.apikey='your-api-key'

  from mangopay.api import APIRequest
  handler = APIRequest(sandbox=True)

  from mangopay.resources import LegalUser

  legal_user = LegalUser(
      id =  '210760575'
  )

  user_regulatory_status = LegalUser.get_regulatory(legal_user)

  pprint(vars(user_regulatory_status))
  pprint(vars(user_regulatory_status.scope_blocked))  
  ```

  ```csharp .NET  theme={null}
  using MangoPay.SDK;
  using Newtonsoft.Json;

  class Program
  {
      static async Task Main(string[] args)
      {
          MangoPayApi api = new MangoPayApi();

          api.Config.ClientId = "your-client-id";
          api.Config.ClientPassword = "your-api-key";

          var userId = "user_m_01J2TZ261WZNDM0ZDRWGDYA4GN";

          var viewUserRegulatoryStatus = await api.Users.GetUserRegulatoryAsync(userId);

          string prettyPrint = JsonConvert.SerializeObject(viewUserRegulatoryStatus, Formatting.Indented);
          Console.WriteLine(prettyPrint);   
      }
  }
  ```
</RequestExample>
